$(function () {
    // tab切换
    $('.weui-navbar__item').on('click', function () {
        var index = $(this).index();
        $(this).addClass('weui-bar__item_on').siblings('.weui-bar__item_on').removeClass('weui-bar__item_on');
        $(".panel-body").eq(index).show().siblings().hide();
    });

    // 柱形图
    // 基于准备好的dom，初始化echarts实例
    var echarts_bar = echarts.init(document.getElementById('echarts-bar'));
    // 指定图表的配置项和数据
    var option = {
        title: {
            subtext: '答题人数1',
            left: 'center'
        },
        tooltip: {},
        xAxis: {
            data: ["男", "女"]
        },
        yAxis: {},
        series: [{
            name: '性别',
            type: 'bar',
            data: [1, 0],
            top: 200,
        }]
    };
    // 使用刚指定的配置项和数据显示图表。
    echarts_bar.setOption(option);

    // 饼图
    var echarts_pie = echarts.init(document.getElementById('echarts-pie'));
    option = {
        title: {
            subtext: '答题人数1',
            left: 'center',
        },
        tooltip: {
            trigger: 'item',
            formatter: '{a} <br/>{b} : {c} ({d}%)'
        },
        legend: {
            orient: 'vertical',
            left: 'right',
        },
        series: [
            {
                name: '性别',
                type: 'pie',
                data: [
                    { value: 1, name: '男' },
                    { value: 0, name: '女' },
                ],
            }
        ]
    };
    echarts_pie.setOption(option);

    // 折线图
    var echarts_line = echarts.init(document.getElementById('echarts-line'));
    option = {
        title: {
            subtext: '答题人数1',
            left: 'center',
        },
        legend: {
            data: ['选中人数'],
            bottom: '0'
        },
        xAxis: {
            type: 'category',
            data: ['打篮球', '踢足球', '打排球', '打乒乓球', '打羽毛球', '其它',]
        },
        yAxis: {
            type: 'value'
        },
        series: [{
            data: [2, 3, 1, 4, 0, 8],
            type: 'line',
            name: '选中人数',
        }]
    };
    echarts_line.setOption(option);


    //图形数据统计图切换
    $('.chart_btn').on('click',function(){
        $('.echarts').addClass('hide')
        $('.echarts').eq($(this).index()).removeClass('hide')
    })
});